/********************************************************************************/
/*                                                                              */
/*  Netrinjo-Engine - a library for game-development                            */
/*  Copyright (C) 2005 by Tobias Nadler                                         */
/*                                                                              */
/*  This library is free software; you can redistribute it and/or               */
/*  modify it under the terms of the GNU Lesser General Public                  */
/*  License as published by the Free Software Foundation; either                */
/*  version 2.1 of the License, or (at your option) any later version.          */
/*                                                                              */
/*  This library is distributed in the hope that it will be useful,             */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of              */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU           */
/*  Lesser General Public License for more details.                             */
/*                                                                              */
/*  You should have received a copy of the GNU Lesser General Public            */
/*  License along with this library; if not, write to the Free Software         */
/*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA   */
/*                                                                              */
/********************************************************************************/
/* here are some game-specific constants */
/*****************************************/

#ifndef DEFINITIONES_H
#define DEFINITIONES_H

/**
 * @ingroup noclass
 * @file defs.h
 * @brief Definitions that concern the engine
 *
 * @warning Probably these definitions will become obsolete soon
*/
/// Maximum length of a name
#define MAX_NAME	32
/// Amount of fonts
#define NUM_FONTS	3
/// Maximum length of a cheat-code
#define MAX_CHEAT	50
/// Maximum length of a directory or file path
#ifndef MAX_PATH
 #define MAX_PATH	256
#endif


#endif
